Get academic years

​

Returns the academic calendar: every academic year with its terms, and the units scheduled in each term.

Headers

  • API version this request targets, for example "2021-04-13".

Responses

  • application/json
  • application/json
Request Example for get/apis/years/years
curl https://ff-business-school.fullfabric.cloud/apis/years/years \
  --header 'X-API-Version: 2021-04-13' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "64f1c2a09a52af5b7e3d1a01",
    "name": "2025/2026",
    "starts_on": 1756684800,
    "ends_on": 1788134400,
    "terms": [
      {
        "id": "64f1c2a09a52af5b7e3d1a02",
        "name": "Autumn term",
        "starts_on": 1757894400,
        "ends_on": 1766102400,
        "year_id": "64f1c2a09a52af5b7e3d1a01",
        "units": [
          {
            "id": "6385baad976a7719120008e3",
            "instance_count": 1,
            "course_id": "6385baad976a7719120008ca",
            "lecturer_ids": [
              "6385baa4976a771912000511"
            ],
            "guest_lecturer_ids": [],
            "code": "CF101",
            "name": "Autumn 2025",
            "synopsis": "<p>Valuation, capital structure, and investment decisions.</p>",
            "epilogue": null,
            "language": "english",
            "price_currency": "EUR",
            "price_amount": 600
          }
        ]
      },
      {
        "id": "64f1c2a09a52af5b7e3d1a03",
        "name": "Spring term",
        "starts_on": 1768176000,
        "ends_on": 1776988800,
        "year_id": "64f1c2a09a52af5b7e3d1a01",
        "units": []
      }
    ]
  }
]